DeepFellow DOCS

Retrieve an image asset from a file's converted document

Return one image asset extracted from the file's converted document.

Meant to be fetched by the links GET /v1/files/{file_id}/text?image_mode=referenced produces in its Markdown output. Not under /v1: this endpoint has no OpenAI-compatible counterpart.

GET
/files/{file_id}/assets/{name}
Authorization[Bearer <token>]

In: header

Path Parameters

file_id[File Id]

The ID of the file to use for this request.

Match^[0-9a-fA-F]{24}$
name[Name]

Asset filename, as referenced from the rendered document.

Header Parameters

OpenAI-Organization?[Openai-Organization]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[Openai-Project]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

curl -X GET "https://deepfellow-server-host/files/5eb7cf5a86d9755df3a6c593/assets/string" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string"
"string"
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.